<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Create Course</title>
    <style>
        body {
            font-family: 'Arial', sans-serif;
            background-color: #f4f4f4;
            margin: 0;
            padding: 0;
            display: flex;
            align-items: center;
            justify-content: center;
            height: 100vh;
        }

        .course-container {
            background-color: #ffffff;
            padding: 20px;
            border-radius: 8px;
            box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
            width: 300px;
            text-align: center;
        }

        .course-container h2 {
            color: #333333;
        }

        .form-group {
            margin-bottom: 15px;
        }

        .form-group label {
            display: block;
            margin-bottom: 5px;
            color: #555555;
        }

        .form-group input {
            width: 100%;
            padding: 8px;
            box-sizing: border-box;
            border: 1px solid #cccccc;
            border-radius: 4px;
        }

        .form-group button {
            background-color: #007bff;
            color: #ffffff;
            padding: 10px;
            border: none;
            border-radius: 4px;
            cursor: pointer;
        }

        .form-group button:hover {
            background-color: #0056b3;
        }

        .message {
            margin-top: 15px;
            color: #e74c3c;
        }
    </style>
</head>

<body>
<div class="course-container">
    <h2>Create Course</h2>
    <form method="post" action="{% url 'create-course' %}" enctype="multipart/form-data">
        {% csrf_token %}
        <div class="form-group">
            <label for="title">Title:</label>
            <input type="text" name="title" id="title" required>
        </div>
        <div class="form-group">
            <label for="description">Description:</label>
            <textarea name="description" id="description" rows="4" required></textarea>
        </div>
        <div class="form-group">
            <label for="pdf_file">PDF File:</label>
            <input type="file" name="pdf_file" accept=".pdf">
        </div>
        <div class="form-group">
            <label for="progress">Progress:</label>
            <input type="number" name="progress" id="progress" min="0" max="100" required>
        </div>
        <button type="submit">Create Course</button>
    </form>
    {% if messages %}
    <div class="message">
        {% for message in messages %}
        <p>{{ message }}</p>
        {% endfor %}
    </div>
    {% endif %}
</div>
</body>

</html>
